# CraftingFilter

  * This mod adds a means to filter the shown recipes in the crafting tab of the inventory GUI.
  * This is a re-upload of aedenthorn's Crafting Filter from NexusMods with the fixes for version 0.217.14
  * To filter items, you can use one of three methods:
  *    1. Hover over the Craft button and a drop down menu will be shown with item types for available recipes that you can click on to switch filters.
  *    2. Use the scroll wheel while hovering over the Craft button to switch filters.
  *    3. Set hot keys or buttons to switch to next or prev filter.

  * These methods can each be disabled or enabled in the config.
  * Individual item types are taken from items themselves so don't blame me if an item has the wrong type.

### Item Categories

  * By default, the mod uses the built in item types to create categories, but you can set up custom categories to group item types together or change the display name of a category. To do this, edit the file 'BepInEx/plugins/CraftingFilter/categories.json' using the following syntax for each entry:

  * '<name>:<type1>,<type2>[...]'

  * Here's an example custom categories.json file:

'{
    "categories": [
        "All:None",
        "Resources:Material,Consumable",
        "Weapons:OneHandedWeapon,Bow,Ammo,Hands,TwoHandedWeapon",
        "Armor:Shield,Helmet,Chest,Legs,Shoulder",
        "Misc:Customization,Trophie,Misc,Attach_Atgeir",
        "Tools:Torch,Utility,Tool"
    ]
}'

  * Any category which has the 'None' type in it will show all items.

  * Categories are sorted alphabetically with the category with 'None' in it at the top.

## Config

  * A config file 'BepInEx/config/aedenthorn.TerrainReset.cfg' is created after running the game once with this mod.
  * You can adjust the config values by editing this file using a text editor or in-game using the Config Manager﻿: https://www.nexusmods.com/valheim/mods/740
  * To reload the config from the config file, type terrainreset reset into the game's console (F5).

## Technical

 * To install manually, place the .dll file in the BepInEx/plugins folder. You will need BepInEx.
 * Code is at https://github.com/aedenthorn/ValheimMods.
 * If you want to complain or ask for help or help me test my mods, you can visit my Discord server﻿: https://discord.gg/bs6zHuj

### Thunderstore (manual)

  * Go to Settings > Import local mod > Select `AedenthornModding-CraftingFilter-0.8.0.zip`.
  * Click "OK/Import local mod" on the pop-up for information.


## Changelog

### 0.8.0
 * Fix for 0.217.14
### 0.7.1
 * Fix for new update
### 0.7.0
 * Fix for new update
### 0.5.1
 * Removed extra log messages
### 0.5.0
 * Removed from upgrade tab
 * Reset on close inventory
 * Don't show menu after clicking on tab
### 0.4.1
 * Fixed
### 0.4.0
 * Added compatibility with Upgrade tab
### 0.3.1
 * Disable for non-workbench crafting
### 0.3.0
 * Added ability to set custom categories with multiple types
### 0.2.2
 * Moved out of tabs list for Epic Loot
### 0.2.1
 * Removed iteration
### 0.2.0
 * Switch to first recipe when changing filter
### 0.1.1
 * Added space before count
